#!/bin/bash
USER=<user>
PASS=<pass>
COPIES=2
#BASE=/var/myexport
BASE=/tmp
DBLIST=`mysql -u $USER --password=$PASS -s -e 'show databases'`
for N in $DBLIST;
do
        case $N in
                "Database")
                                echo "ignoring Database"
                ;;
                "information_schema")
                                echo "ignoring Information_Schema"
                ;;
                *)
                                echo "dumping $N"
                                i=$(($COPIES - 1))
                                while [ $i -ge 0 ];
                                do
                                        [ -s $BASE/$N.sql.$i.gz ] && mv $BASE/$N.sql.$i.gz $BASE/$N.sql.$(($i+1)).gz
                                        i=$(($i-1))
                                done
                                mysqldump -u $USER --password=$PASS $N | gzip >$BASE/$N.sql.0.gz
                ;;
        esac
done